# $Revision: 1.16 $, $Date: 2008/07/27 22:51:04 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DES_EDE3
Summary:	Crypt::DES_EDE3 Perl module - Triple-DES EDE implementation
Summary(pl.UTF-8):	Moduł Perla Crypt::DES_EDE3 - implementacja Triple-DES EDE
Name:		perl-Crypt-DES_EDE3
Version:	0.01
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fde1995efa0735407a5f7c4a4c8147bc
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Crypt-DES
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Crypt::DES_EDE3, a module implementing Triple-DES EDE
(encrypt-decrypt-encrypt) encryption and decryption.

%description -l pl.UTF-8
To jest moduł Crypt::DES_EDE3, będący implementacją szyfrowania i
odszyfrowywania Triple-DES EDE (encrypt-decrypt-encrypt).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/DES_EDE3.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-DES_EDE3.spec,v $
Revision 1.16  2008/07/27 22:51:04  arekm
- release 4

Revision 1.15  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.13  2004/11/03 22:30:12  paladine
- formatting

Revision 1.12  2004/06/05 18:10:34  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/07 01:09:16  ankry
- rel. 3

Revision 1.10  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/19 20:14:25  ankry
- license fixes and unification

Revision 1.8  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:42  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:46  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/29 16:21:04  qboosh
- new

